# $Revision: 1.30 $, $Date: 2002/09/13 09:21:17 $
%define		_version_major	1.0
%define		_version_minor	3123
Summary:	Linux Drivers for nVidia TNT/TNT2/GeForce/Quadro Chips
Summary(pl):	Sterowniki do kart graficznych nVidia TNT/TNT2/GeForce/Quadro
Name:		XFree86-driver-nvidia
Version:	%{_version_major}.%{_version_minor}
Release:	2
License:	nVidia Binary
Group:		X11/XFree86
Source0:	http://205.158.109.140/XFree86_40/%{_version_major}-%{_version_minor}/NVIDIA_GLX-%{_version_major}-%{_version_minor}.tar.gz
#http://www.nvidia.com/docs/lo/1005/SUPP/NVIDIA_GLX-%{_version_major}-%{_version_minor}.tar.gz
#ftp://ftp1.detonator.nvidia.com/pub/drivers/english/XFree86_40/%{_version_major}-%{_version_minor}/NVIDIA_GLX-%{_version_major}-%{_version_minor}.tar.gz
Requires:	XFree86-Xserver
Requires:	XFree86-libs >= 4.0.1
Requires:	XFree86-modules >= 4.0.1
Requires:	kernel-video-nvidia = %{_version_major}.%{_version_minor}
Provides:	XFree86-OpenGL-core
Obsoletes:	Mesa
Obsoletes:	XFree86-OpenGL-core
Obsoletes:	XFree86-nvidia
Conflicts:	XFree86-OpenGL-devel <= 4.2.0-3
BuildConflicts:	XFree86-nvidia
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.%{_version_major}.%{_version_minor} libGLcore.so.%{_version_major}.%{_version_minor}

%define		_fontdir	/usr/share/fonts
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_appnkldir	%{_datadir}/applnk

%description
This driver set adds improved 2D functionality to the XFree86 4.0 X
server as well as high performance OpenGL acceleration, AGP support,
support for most flat panels, and 2D multiple monitor support.

Hardware: nVidia TNT, TNT2, GeForce, or Quadro based graphics
accelerator. The nVidia NV1 and RIVA 128/128ZX chips are supported in
the base XFree86 4.0 install and are not supported by this driver set.

Software: Linux kernel >= 2.2.12, XFree86 >= 4.0.

%description -l pl
Usprawnione sterowniki dla kart graficznych nVidia do serwera XFree86
4.0, dajce wysokowydajn akceleracj OpenGL, obsug AGP i wielu
monitorw 2D.

Obsuguj karty nVidia TNT/TNT2/GeForce/Quadro do serwera XFree86 4.0;
Karty nVidia NV1 i Riva 128/128ZX s obsugiwane przez sterownik nv z
pakietw XFree86 - NIE s obsugiwane przez ten pakiet.

%prep
%setup -q -n NVIDIA_GLX-%{_version_major}-%{_version_minor}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/modules/{drivers,extensions}
ln -sf $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_prefix}/../lib

%{__make} ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc usr/share/doc/{README,NVIDIA_Changelog,XF86Config.sample,license.txt}
%lang (de) %doc usr/share/doc/README.DE
%attr(755,root,root) %{_libdir}/libGL*.so.*.*
%attr(755,root,root) %{_libdir}/libGL*.so
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so.*.*
%attr(755,root,root) %{_libdir}/lib*.a
%attr(755,root,root) %{_libdir}/modules/extensions/libglx.so*
%attr(755,root,root) %{_libdir}/modules/drivers/nvidia_drv.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached on <cvs_login>@pld.org.pl

$Log: XFree86-driver-nvidia.spec,v $
Revision 1.30  2002/09/13 09:21:17  wiget
- 1.0.3123

Revision 1.29  2002/05/31 20:52:23  filon
- added missing files (docs and libXvNVIDIA.a)
- new %%doc

Revision 1.28  2002/05/29 07:40:32  wiget
revert last change and add Conflicts: XFree86-OpenGL-devel <= 4.2.0-3

Revision 1.26  2002/05/23 16:35:13  wiget
2960

Revision 1.25  2002/05/17 09:07:18  wiget
move libGL.so to main package, release 2

Revision 1.24  2002/04/08 16:50:23  wiget
start update to 2880

Revision 1.23  2002/03/11 01:50:59  jack
Updated to 2802

Revision 1.22  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:12:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2002/01/03 23:03:20  gotar
- s/NVIDIA/nVidia/

Revision 1.19  2001/12/28 17:15:53  gotar
- changes in descriptions.

Revision 1.18  2001/12/18 19:51:17  gotar
- according to 2.1.2 Linux Exception of NVIDIA Software License it's
  legal to copy and redistibute files... I think so...

Revision 1.17  2001/12/13 08:42:51  gotar
- fixed building source packages w/o illegal sources.

Revision 1.16  2001/12/10 02:20:50  gotar
- made not to get sources and build without license agreement,
- release 2.

Revision 1.15  2001/11/29 15:34:53  misiek
- updated to 2313

Revision 1.14  2001/11/22 10:14:55  qboosh
- s/Copyright/License/; improved pl description

Revision 1.13  2001/11/14 23:39:31  misiek
- added Obsoletes: XFree86-OpenGL-core

Revision 1.12  2001/10/21 23:42:41  undefine
- adapterized to new kernel's driver name.

Revision 1.11  2001/09/20 08:02:09  filon
- really fixed source0

Revision 1.10  2001/09/20 07:53:58  filon
- updated to 1.0-1541
- new source adress

Revision 1.9  2001/09/05 09:25:11  filon
- ver 1.0-1512

Revision 1.8  2001/07/18 03:20:04  kloczek
- spec adapterized.

Revision 1.7  2001/06/02 14:51:05  klakier
- typo

Revision 1.6  2001/05/18 14:37:58  misiek
- updated to 1.0 1251

Revision 1.5  2001/04/29 13:21:34  mkochano
- Updated to 0.9.769.

Revision 1.4  2001/04/10 21:06:11  saq
- s/MVidia/NVidia
- adapterized

Revision 1.3  2001/03/14 19:14:20  mkochano
- Updated to 0.9.767.

Revision 1.2  2001/02/15 23:01:12  kloczek
- added XFree86-Xserver to Requires.

Revision 1.1  2001/02/15 22:50:18  misiek
renamed

Revision 1.8  2001/01/19 07:44:23  mkochano
- Updated to 0.9.6.

Revision 1.7  2000/12/24 17:08:35  waszi
- typo

Revision 1.6  2000/10/10 18:51:29  saq
- Requires: %{name}-kernel

Revision 1.5  2000/09/12 15:53:12  kloczek
- adapterized.

Revision 1.4  2000/09/12 13:56:38  baggins
- updated to 0.95

Revision 1.3  2000/07/18 13:29:45  baggins
- updated to 0.9-4 and XFree 4.0.1

Revision 1.2  2000/07/11 13:30:54  baggins
- release 2
- removed Mesa sources and libGLU (now in XFree86-OpenGL-libs)

Revision 1.1  2000/06/26 17:32:05  baggins
- new, written from scratch
